<div class="slds-grid slds-grid_align-end action-buttons--wrapper">
  <a [routerLink]="[ '' ]" class="slds-icon_container" title="account">
    <svg [ngClass]="{'icons-svg--inactive':listing === 'rows'}" class="slds-icon slds-icon_small icons-svg--blue" aria-hidden="true">
      <use xlink:href="/assets/salesforce-lightning-design/icons/utility-sprite/svg/symbols.svg#all"></use>
    </svg>
    <span class="slds-assistive-text">grid view</span>
  </a>
  <button [disabled]="HeroForm.invalid" (click)="submitHero()" class="slds-button slds-button--brand slds-button--green">Save</button>
</div>

<div class="slds-card card-wrapper slds-container_x-large slds-container_center slds-grid slds-wrap slds-gutters">
  <div class="slds-col slds-size_1-of-1 slds-large-size_3-of-12 slds-form_horizontal">
    <img class="avatar-square" alt="Person name" [src]="uploadimage" title="User avatar" />
    <div class="slds-form-element import-photo">
      <div class="slds-form-element__control">
        <button class="slds-button slds-button_icon" (click)="heroInput.click()">
            Import photo
            <svg class="slds-button__icon slds-button__icon_large icons-svg--blue" aria-hidden="true">
              <use xlink:href="/assets/salesforce-lightning-design/icons/utility-sprite/svg/symbols.svg#upload"></use>
            </svg>
        </button>
      </div>
    </div>
  </div>

  <div class="slds-col slds-size_1-of-1 slds-large-size_6-of-12">
    
    <form class="slds-form" [formGroup]="HeroForm">

      <div class="slds-form-element" [ngClass]="{'slds-has-error': name.invalid && (name.dirty || name.touched)}">
        <label class="slds-form-element__label" for="form-element-01">
          <abbr class="slds-required" title="required">* </abbr>
          NAME
        </label>
        <div class="slds-form-element__control">
          <input formControlName="name" type="text" id="form-element-01" class="slds-input" />
        </div>
        <ng-container *ngIf="name.invalid && (name.dirty || name.touched)">
          <div *ngIf="name.errors.required" class="slds-form-element__help" id="form-error-01">This field is required</div>
          <div *ngIf="name.errors.minlength" class="slds-form-element__help" id="form-error-01">A name must be more than 2 characters</div>
          <div *ngIf="name.errors.maxlength" class="slds-form-element__help" id="form-error-01">A name must be less than 30 characters</div>
        </ng-container>
      </div>
      <div class="slds-form-element" [ngClass]="{'slds-has-error': email.invalid && (email.dirty || email.touched)}">
        <label class="slds-form-element__label" for="form-element-02">
          <abbr class="slds-required" title="required">* </abbr>
          EMAIL
        </label>
        <div class="slds-form-element__control">
          <input formControlName="email" type="text" id="form-element-02" class="slds-input" />
        </div>
        <ng-container *ngIf="email.invalid && (email.dirty || email.touched)">
          <div *ngIf="email.errors.required" class="slds-form-element__help" id="form-error-01">This field is required</div>
          <div *ngIf="email.errors.email" class="slds-form-element__help" id="form-error-01">not a valid email</div>
        </ng-container>
      </div>
      <div class="slds-form-element" [ngClass]="{'slds-has-error': phone.invalid && (phone.dirty || phone.touched)}">
        <label class="slds-form-element__label" for="form-element-03">
          <abbr class="slds-required" title="required">* </abbr>
          TELEPHONE
        </label>
        <div class="slds-form-element__control">
          <input formControlName="phone" type="text" id="form-element-03" class="slds-input" />
        </div>
        <ng-container *ngIf="phone.invalid && (phone.dirty || phone.touched)">
          <div *ngIf="phone.errors.required" class="slds-form-element__help" id="form-error-01">This field is required</div>
          <div *ngIf="phone.errors.pattern || phone.errors.minlength || phone.errors.maxlength" class="slds-form-element__help" id="form-error-01">not a valid phone</div>
        </ng-container>
      </div>

      <input style="display: none" type="file" (change)="onHeroUpload($event)" #heroInput>
      <input type="hidden" formControlName="image" />


    </form> 
  </div>
</div>
